Get list of document types
Updated date: 18/08/2026
Updated by: VNPT eContract's team
Purpose
The function retrieves information about the list of document types.
- Request URL:
/api/document-types - HTTP method:
GET - Authorize:
Bearer token - Parameter: Not required, but additional options can be added below to filter or search the list of document types.
| Key | Type | Description |
|---|---|---|
search | string | Search information by code or name of document type |
page | int | Page number (default is 1) |
pagesize | int | Page size (default is 10 records) |
Sample request
Query param:
page: 1
pageSize: 10
search: HD-LAODONG
Request: /api/document-types?page=1&pageSize=10&search=HD-LAODONG
Sample response body
{
"data": {
"items": [
{
"id": 1085,
"code": "LABOR",
"name": "Labor contract",
"processTemplate": {
"id": 1089,
"createdDate": "2022-09-12T10:29:23.4146356",
"processInOrder": false,
"isPublic": false,
"items": []
},
"documentCount": 4,
"enableVnptSeal": true,
"requireVerifiedUserSigning": true
},
],
"totalCount": 1,
"pageCount": 2,
"page": 1,
"pageSize": 10,
"hasNextPage": true,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}
Response Body Description
| Key | Type | Description |
|---|---|---|
success | boolean | Response status (true: Success, false: Failure) |
code | int | Response code from the system |
messages | array | List of messages or errors returned by the system |
data | object | Object containing the list of document types and pagination information (see details below) |
Details of data:
| Key | Type | Description |
|---|---|---|
items | array | List of document types (Array[object]) (see details below) |
totalCount | int | Total number of records found |
pageCount | int | Total number of pages |
page | int | Current page |
pageSize | int | Number of records per page |
hasNextPage | boolean | Whether there is a next page (true: Yes, false: No) |
hasPreviousPage | boolean | Whether there is a previous page (true: Yes, false: No) |
Details of items:
The list contains document type objects with the following properties for each element:
| Key | Type | Description |
|---|---|---|
id | int | Document type ID |
code | string | Document type code |
name | string | Document type name |
processTemplate | object | Information about the default process template applied to this document type: {
"id": "Process template ID",
"createdDate": "Process template creation time (ISO 8601)",
"processInOrder": "Process in order (boolean)",
"isPublic": "Public status (boolean)"
} |
documentCount | int | Number of documents currently belonging to this document type |
enableVnptSeal | boolean | VNPT SEAL message authentication (true: Enabled, false: Disabled) |
requireVerifiedUserSigning | boolean | Requires the signer to have verified their identity (true: Verification required, false: Verification not required) |